from django import forms

from .models import ImportSourceURLs


class ImportSourceURLsForm(forms.Form):
    url = forms.URLField(
        label="Add URL",
        required=True,
        widget=forms.TextInput(
            attrs={"placeholder": "https://example.com", "class": "form-control"}
        ),
    )


class GalleryDLConfigForm(forms.Form):
    text = forms.CharField(
        label="GalleryDL Config",
        required=True,
        widget=forms.Textarea(attrs={"class": "form-control"}),
    )

